﻿//------------------------------------------------------------------------------
// <auto-generated>
//     Este código fue generado por una herramienta.
//     Versión del motor en tiempo de ejecución:2.0.50727.4952
//
//     Los cambios en este archivo podrían causar un comportamiento incorrecto y se perderán si
//     se vuelve a generar el código.
// </auto-generated>
//------------------------------------------------------------------------------

using System.Xml.Serialization;

// 
// This source code was auto-generated by xsd, Version=2.0.50727.3038.
// 


/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
[System.Xml.Serialization.XmlRootAttribute(Namespace="", IsNullable=false)]
public partial class AckErrorApplication {
    
    private AckErrorApplicationAckErrorApplicationIdentification ackErrorApplicationIdentificationField;
    
    private AckErrorApplicationApplicationInformation applicationInformationField;
    
    private AckErrorApplicationReferenceNumber referenceNumberField;
    
    private AckErrorApplicationSupplierNumber supplierNumberField;
    
    private AckErrorApplicationAdditionalReferenceNumber additionalReferenceNumberField;
    
    private AckErrorApplicationDespatchAdviceNumber despatchAdviceNumberField;
    
    private AckErrorApplicationBuyer buyerField;
    
    private AckErrorApplicationSeller sellerField;
    
    private AckErrorApplicationMessageError[] messageErrorField;
    
    private string contentVersionField;
    
    private string documentStructureVersionField;
    
    private string creationDateField;
    
    private AckErrorApplicationDocumentStatus documentStatusField;
    
    private bool documentStatusFieldSpecified;
    
    /// <comentarios/>
    public AckErrorApplicationAckErrorApplicationIdentification ackErrorApplicationIdentification {
        get {
            return this.ackErrorApplicationIdentificationField;
        }
        set {
            this.ackErrorApplicationIdentificationField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationApplicationInformation ApplicationInformation {
        get {
            return this.applicationInformationField;
        }
        set {
            this.applicationInformationField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationReferenceNumber ReferenceNumber {
        get {
            return this.referenceNumberField;
        }
        set {
            this.referenceNumberField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationSupplierNumber supplierNumber {
        get {
            return this.supplierNumberField;
        }
        set {
            this.supplierNumberField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationAdditionalReferenceNumber additionalReferenceNumber {
        get {
            return this.additionalReferenceNumberField;
        }
        set {
            this.additionalReferenceNumberField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationDespatchAdviceNumber despatchAdviceNumber {
        get {
            return this.despatchAdviceNumberField;
        }
        set {
            this.despatchAdviceNumberField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationBuyer Buyer {
        get {
            return this.buyerField;
        }
        set {
            this.buyerField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationSeller Seller {
        get {
            return this.sellerField;
        }
        set {
            this.sellerField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlElementAttribute("messageError")]
    public AckErrorApplicationMessageError[] messageError {
        get {
            return this.messageErrorField;
        }
        set {
            this.messageErrorField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string contentVersion {
        get {
            return this.contentVersionField;
        }
        set {
            this.contentVersionField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string documentStructureVersion {
        get {
            return this.documentStructureVersionField;
        }
        set {
            this.documentStructureVersionField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public string creationDate {
        get {
            return this.creationDateField;
        }
        set {
            this.creationDateField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public AckErrorApplicationDocumentStatus documentStatus {
        get {
            return this.documentStatusField;
        }
        set {
            this.documentStatusField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlIgnoreAttribute()]
    public bool documentStatusSpecified {
        get {
            return this.documentStatusFieldSpecified;
        }
        set {
            this.documentStatusFieldSpecified = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationAckErrorApplicationIdentification {
    
    private AckErrorApplicationAckErrorApplicationIdentificationEntityType entityTypeField;
    
    private string uniqueCreatorIdentificationField;
    
    private AckErrorApplicationAckErrorApplicationIdentificationType typeField;
    
    private bool typeFieldSpecified;
    
    /// <comentarios/>
    public AckErrorApplicationAckErrorApplicationIdentificationEntityType entityType {
        get {
            return this.entityTypeField;
        }
        set {
            this.entityTypeField = value;
        }
    }
    
    /// <comentarios/>
    public string uniqueCreatorIdentification {
        get {
            return this.uniqueCreatorIdentificationField;
        }
        set {
            this.uniqueCreatorIdentificationField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public AckErrorApplicationAckErrorApplicationIdentificationType type {
        get {
            return this.typeField;
        }
        set {
            this.typeField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlIgnoreAttribute()]
    public bool typeSpecified {
        get {
            return this.typeFieldSpecified;
        }
        set {
            this.typeFieldSpecified = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public enum AckErrorApplicationAckErrorApplicationIdentificationEntityType {
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlEnumAttribute("305")]
    Item305,
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public enum AckErrorApplicationAckErrorApplicationIdentificationType {
    
    /// <comentarios/>
    APERAK,
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationApplicationInformation {
    
    private System.DateTime deliveryDatePresentField;
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlElementAttribute(DataType="date")]
    public System.DateTime deliveryDatePresent {
        get {
            return this.deliveryDatePresentField;
        }
        set {
            this.deliveryDatePresentField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationReferenceNumber {
    
    private string referenceIdentificationField;
    
    private string referenceDateField;
    
    private AckErrorApplicationReferenceNumberType typeField;
    
    private bool typeFieldSpecified;
    
    /// <comentarios/>
    public string referenceIdentification {
        get {
            return this.referenceIdentificationField;
        }
        set {
            this.referenceIdentificationField = value;
        }
    }
    
    /// <comentarios/>
    public string referenceDate {
        get {
            return this.referenceDateField;
        }
        set {
            this.referenceDateField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlAttributeAttribute()]
    public AckErrorApplicationReferenceNumberType type {
        get {
            return this.typeField;
        }
        set {
            this.typeField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlIgnoreAttribute()]
    public bool typeSpecified {
        get {
            return this.typeFieldSpecified;
        }
        set {
            this.typeFieldSpecified = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public enum AckErrorApplicationReferenceNumberType {
    
    /// <comentarios/>
    IV,
    
    /// <comentarios/>
    AAK,
    
    /// <comentarios/>
    GN,
    
    /// <comentarios/>
    AJS,
    
    /// <comentarios/>
    SE,
    
    /// <comentarios/>
    ACE,
    
    /// <comentarios/>
    ALO,
    
    /// <comentarios/>
    ON,
    
    /// <comentarios/>
    IA,
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationSupplierNumber {
    
    private string referenceIdentificationField;
    
    private string referenceDateField;
    
    /// <comentarios/>
    public string referenceIdentification {
        get {
            return this.referenceIdentificationField;
        }
        set {
            this.referenceIdentificationField = value;
        }
    }
    
    /// <comentarios/>
    public string referenceDate {
        get {
            return this.referenceDateField;
        }
        set {
            this.referenceDateField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationAdditionalReferenceNumber {
    
    private string referenceIdentificationField;
    
    /// <comentarios/>
    public string referenceIdentification {
        get {
            return this.referenceIdentificationField;
        }
        set {
            this.referenceIdentificationField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationDespatchAdviceNumber {
    
    private string referenceIdentificationField;
    
    /// <comentarios/>
    public string referenceIdentification {
        get {
            return this.referenceIdentificationField;
        }
        set {
            this.referenceIdentificationField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationBuyer {
    
    private string glnField;
    
    private AckErrorApplicationBuyerNameAndAddress nameAndAddressField;
    
    /// <comentarios/>
    public string gln {
        get {
            return this.glnField;
        }
        set {
            this.glnField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationBuyerNameAndAddress nameAndAddress {
        get {
            return this.nameAndAddressField;
        }
        set {
            this.nameAndAddressField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationBuyerNameAndAddress {
    
    private string nameField;
    
    /// <comentarios/>
    public string name {
        get {
            return this.nameField;
        }
        set {
            this.nameField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationSeller {
    
    private string glnField;
    
    private AckErrorApplicationSellerNameAndAddress nameAndAddressField;
    
    /// <comentarios/>
    public string gln {
        get {
            return this.glnField;
        }
        set {
            this.glnField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationSellerNameAndAddress nameAndAddress {
        get {
            return this.nameAndAddressField;
        }
        set {
            this.nameAndAddressField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationSellerNameAndAddress {
    
    private string nameField;
    
    /// <comentarios/>
    public string name {
        get {
            return this.nameField;
        }
        set {
            this.nameField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationMessageError {
    
    private string errorCodeField;
    
    private AckErrorApplicationMessageErrorErrorDescription errorDescriptionField;
    
    private string referenceIdentificationField;
    
    private string sequenceField;
    
    /// <comentarios/>
    public string errorCode {
        get {
            return this.errorCodeField;
        }
        set {
            this.errorCodeField = value;
        }
    }
    
    /// <comentarios/>
    public AckErrorApplicationMessageErrorErrorDescription errorDescription {
        get {
            return this.errorDescriptionField;
        }
        set {
            this.errorDescriptionField = value;
        }
    }
    
    /// <comentarios/>
    public string referenceIdentification {
        get {
            return this.referenceIdentificationField;
        }
        set {
            this.referenceIdentificationField = value;
        }
    }
    
    /// <comentarios/>
    [System.Xml.Serialization.XmlAttributeAttribute(DataType="integer")]
    public string sequence {
        get {
            return this.sequenceField;
        }
        set {
            this.sequenceField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Diagnostics.DebuggerStepThroughAttribute()]
[System.ComponentModel.DesignerCategoryAttribute("code")]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public partial class AckErrorApplicationMessageErrorErrorDescription {
    
    private string textField;
    
    /// <comentarios/>
    public string text {
        get {
            return this.textField;
        }
        set {
            this.textField = value;
        }
    }
}

/// <comentarios/>
[System.CodeDom.Compiler.GeneratedCodeAttribute("xsd", "2.0.50727.3038")]
[System.SerializableAttribute()]
[System.Xml.Serialization.XmlTypeAttribute(AnonymousType=true)]
public enum AckErrorApplicationDocumentStatus {
    
    /// <comentarios/>
    CONFIRMATION,
    
    /// <comentarios/>
    NOTIFICATION_ONLY,
    
    /// <comentarios/>
    TEST,
    
    /// <comentarios/>
    STATUS,
    
    /// <comentarios/>
    ACCEPTED,
    
    /// <comentarios/>
    ACCEPTED_WITH_RESERVES,
    
    /// <comentarios/>
    RESPONSE,
    
    /// <comentarios/>
    REJECT,
    
    /// <comentarios/>
    TRANSACTION_ON_HOLD,
}
